const MockService = require("../service/mock-service")
const ApiResult = require("../config/api")
const MockControl = {
  getUserInfo: async (req, res) => {
    try {
      if (req.headers.authorization) {
        MockService.getUserInfo().then(data => {
          res.send(new ApiResult().success(data))
        }).catch((e) => {
          res.send(new ApiResult().error(null, e))
        })
      } else {
        res.send(new ApiResult().authError())
      }
    } catch (e) {
      res.send(new ApiResult().error(e))
    }
  },
  mockGetConfig: async (req, res) => {
    try {
      MockService.mockGetConfig().then(data => {
        res.send(new ApiResult().success(data))
      }).catch((e) => {
        res.send(new ApiResult().error(null, e))
      })
    } catch (e) {
      res.send(new ApiResult().error(e))
    }
  },
  getSearchArea: async (req, res) => {
    try {
      if (req.headers.authorization) {
        MockService.getSearchArea().then(data => {
          res.send(new ApiResult().success(data))
        }).catch((e) => {
          res.send(new ApiResult().error(null, e))
        })
      } else {
        res.send(new ApiResult().authError())
      }
    } catch (e) {
      res.send(new ApiResult().error(e))
    }
  },
  getSearchHistory: async (req, res) => {
    try {
      if (req.headers.authorization) {
        MockService.getSearchHistory().then(data => {
          res.send(new ApiResult().success(data))
        }).catch((e) => {
          res.send(new ApiResult().error(null, e))
        })
      } else {
        res.send(new ApiResult().authError())
      }
    } catch (e) {
      res.send(new ApiResult().error(e))
    }
  },
}
module.exports = MockControl