const {randomNum} = require("../../util");
const wsSearch = (WebSocket) => {
// 服务器端监听连接事件
  WebSocket.on('connection', (ws, req) => {
    console.log('智搜：WebSocket连接成功');
    ws.send(JSON.stringify('websocket返回的sessionId'))
    ws.on('message', (message) => {
      const params = JSON.parse(message)
      switch (params.type) {
        case 'count': {
          sendCount(ws, params)
        } break
        case 'list': {
          sendList(ws, params)
        } break
      }
    });
    // 监听连接断开事件
    ws.on('close', () => {
      console.log('智搜：WebSocket关闭成功');
    });
  });
}
const sendCount = (ws, params) => {
  console.log(params)
  const arr = []
  params.builder.forEach(tag => {
    tag.datas.forEach(type => {
      const obj = {
        tagCode: tag.tagCode,
        datas: [{
          typeCode: type.typeCode,
          datas: type.datas.map(index => ({
            indexCode: index.indexCode,
            data: randomNum(0, 1)
          }))
        }]
      }
      arr.push(obj)
    })
  })
  let i = 0
  let timer = setInterval(() => {
    if (i < arr.length) {
      ws.send(JSON.stringify({
        timestamp: params.timestamp,
        type: params.type,
        sessionId: params.sessionId,
        "respCode": "0",
        "respMsg": "查询成功",
        datas: [arr[i]]
      }))
      i++
    } else {
      clearInterval(timer)
    }
  }, 2000)
}
const sendList = (ws, params) => {
  console.log(params)
  setTimeout(() => {
    ws.send(JSON.stringify({
      timestamp: params.timestamp,
      type: params.type,
      sessionId: params.sessionId,
      pageNumber: params.pageNumber,
      pageSize: params.pageSize,
      records: 100,
      "respCode": "0",
      "respMsg": "查询成功",
      datas: [
        {name: '胡杰<span style="color: red;">顶顶顶</span>顶顶', sex: '男', a: 1, b: 2, c: 3, d: 4, avatar: 'https://element-plus.org/images/element-plus-logo.svg'},
        {name: '胡杰<span style="color: red;">顶顶顶</span>顶顶', sex: '男', a: 1, b: 2, c: 3, d: 4, avatar: 'https://element-plus.org/images/element-plus-logo.svg'},
        {name: '胡杰<span style="color: red;">顶顶顶</span>顶顶', sex: '男', a: 1, b: 2, c: 3, d: 4, avatar: 'https://element-plus.org/images/element-plus-logo.svg'},
        {name: '胡杰<span style="color: red;">顶顶顶</span>顶顶', sex: '男', a: 1, b: 2, c: 3, d: 4, avatar: 'https://element-plus.org/images/element-plus-logo.svg'},
        {name: '胡杰<span style="color: red;">顶顶顶</span>顶顶', sex: '男', a: 1, b: 2, c: 3, d: 4, avatar: 'https://element-plus.org/images/element-plus-logo.svg'},
        {name: '胡杰<span style="color: red;">顶顶顶</span>顶顶', sex: '男', a: 1, b: 2, c: 3, d: 4, avatar: 'https://element-plus.org/images/element-plus-logo.svg'},
        {name: '胡杰<span style="color: red;">顶顶顶</span>顶顶', sex: '男', a: 1, b: 2, c: 3, d: 4, avatar: 'https://element-plus.org/images/element-plus-logo.svg'},
        {name: '胡杰<span style="color: red;">顶顶顶</span>顶顶', sex: '男', a: 1, b: 2, c: 3, d: 4, avatar: 'https://element-plus.org/images/element-plus-logo.svg'},
        {name: '胡杰<span style="color: red;">顶顶顶</span>顶顶', sex: '男', a: 1, b: 2, c: 3, d: 4, avatar: 'https://element-plus.org/images/element-plus-logo.svg'},
        {name: '胡杰<span style="color: red;">顶顶顶</span>顶顶', sex: '男', a: 1, b: 2, c: 3, d: 4, avatar: 'https://element-plus.org/images/element-plus-logo.svg'},
      ]
    }))
  }, 1000)
}
module.exports = {
  wsSearch,
}